## vm-builder 0.12.4+bzr466-0ubuntu1.1

=== debian/changelog ===
vm-builder (0.12.4+bzr466-0ubuntu1.1) natty-proposed; urgency=low

  * Fix from garo: If you provide a .partition file whose lines have < 4
    elements, vmbuilder would incorrectly (since the 3d and 4th parameters
    are optional) fail.  (LP: #784888)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 18 May 2011 18:10:20 -0500

vm-builder (0.12.4+bzr465-0ubuntu1.1) natty-proposed; urgency=low

  * Delays the execution of --execscript scripts until after just before the
    chroot fs is unmounted. This allows the user to do customization to the VM
    after all of its installation steps are complete, where currently, they
    have no ability to customize kernel, grub, network and filesytems mounts
    from their execscript.  (LP: #782007)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 17 May 2011 07:09:42 -0500

vm-builder (0.12.4+bzr464-0ubuntu1) natty; urgency=low

  * Merge from Neil Wilson:
    sources.list.tmpl: Ensure that ppas only use the 'main' component.
    (LP: #765648)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 19 Apr 2011 10:21:57 -0500

vm-builder (0.12.4+bzr463-0ubuntu1) natty; urgency=low

  * Add a fourth option to part file lines, which specifies the output
    file name.  Thanks to Kieran Evans for the patch.  (LP: #688213)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 04 Mar 2011 09:13:15 -0600

vm-builder (0.12.4+bzr462-0ubuntu1) natty; urgency=low

  * Generate /etc/hostname and /etc/hosts at image build rather than bootstrap,
    and add a --chroot-dir option to allow user to specify a directory name for
    chroot.  Thanks to Radosław Kintzi for the patch. (LP: #592252)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 14 Jan 2011 14:38:10 -0600

vm-builder (0.12.4+bzr461) natty; urgency=low

  * Merge fix from Neil Wilson <neil@brightbox.co.uk>:
    Fix to exclude first cylinder (sectors 0-62) from partition for the
    benefit of grub.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 15 Dec 2010 15:21:34 -0600

vm-builder (0.12.4+bzr460) natty; urgency=low

  * clean up on failure to unmount and release loop devices (lp: #685258)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 14 Dec 2010 12:28:21 -0600

vm-builder (0.12.4+bzr459-0ubuntu1) natty; urgency=low

  * debian/patches/*:
    - dropped, all in vmbuilder bzr trunk now
  * new bzr snapshot
    - fixes tmpfs option (lp: #536940)
    - fixes crash in register_options (lp: #580237)
    - fixes version display (lp: #546536)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Dec 2010 11:19:30 +0100

vm-builder (0.12.4-0ubuntu3) natty; urgency=low

  * debian/patches/0003-bzr-add-natty-branch.patch:
    - "merged" lp:~mvo/vmbuilder/add-natty that adds support for
      creating maverick and natty VMs (LP: #676132)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Nov 2010 17:41:54 +0100

vm-builder (0.12.4-0ubuntu2) natty; urgency=low

  * 0002-fix-dapper-locales.patch: fix to allow creation of Dapper VMs again
    - LP: #665231

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 22 Oct 2010 11:59:02 -0500

vm-builder (0.12.4-0ubuntu1.1) maverick-proposed; urgency=low

  * debian/patches/0001-lp659532.patch: supply disk format in libvirt XML
    for converted disks otherwise non-raw disks (eg, 'qcow2', the default in
    vm-builder) won't show up in the guest with libvirt 0.8.3 and newer
    - LP: #659532

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 12 Oct 2010 17:21:56 -0500

vm-builder (0.12.4-0ubuntu1) maverick; urgency=low

  * New upstream, bugfix release. (LP: #539460, #536942, #535397,
    #550689, #410521, #550691, others)

 -- Soren Hansen <soren@ubuntu.com>  Fri, 09 Jul 2010 22:58:32 +0200

vm-builder (0.12.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release. (LP: #530331, #531409, #460398, #538674,
    #550666, possibly others)

 -- Soren Hansen <soren@ubuntu.com>  Mon, 29 Mar 2010 22:22:49 -0500

vm-builder (0.12.2-0ubuntu4) lucid; urgency=low

  * Install the ubuntu-vm-builder man page because we still install
    ubuntu-vm-builder. (LP: #432481)

 -- Robert Collins <robert@ubuntu.com>  Thu, 25 Mar 2010 11:33:05 +1100

vm-builder (0.12.2-0ubuntu3) lucid; urgency=low

  * Re-add quilt patch series.
  * New patch, locale-preflight-check, drops locale-gen preflight_check() call
    which might remove all locales from the *host*; LP: #527381.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 01 Mar 2010 10:50:05 +0100

vm-builder (0.12.2-0ubuntu2) lucid; urgency=low

  * Add missing plugins to package. (LP: #529618)

 -- Soren Hansen <soren@ubuntu.com>  Sun, 28 Feb 2010 21:43:14 +0100

vm-builder (0.12.2-0ubuntu1) lucid; urgency=low

  * New upstream, bugfix-only release. (LP: #528027, #260682)

 -- Soren Hansen <soren@ubuntu.com>  Fri, 26 Feb 2010 22:20:39 +0100

vm-builder (0.12.1-0ubuntu1) lucid; urgency=low

  * New upstream, bugfix-only release. (LP: #303882, #523589, #261702,
    #284620, #527240, #527253)

 -- Soren Hansen <soren@ubuntu.com>  Wed, 24 Feb 2010 23:52:03 +0100

vm-builder (0.12.0-0ubuntu1) lucid; urgency=low

  * New upstream release. (FFe: LP: #525741)
    - All patches incorporated upstream.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 22 Feb 2010 13:56:18 +0100

vm-builder (0.11.3-0ubuntu9) lucid; urgency=low

  * debian/patches/ext4-support.diff: fix missing chunk in ext4 support.

 -- Kees Cook <kees@ubuntu.com>  Tue, 16 Feb 2010 15:23:37 -0800

vm-builder (0.11.3-0ubuntu8) lucid; urgency=low

  * debian/patches/ext4-support.diff: add ext4 (upstream commit
    lp:vmbuilder/0.11 r364, LP: #494804)
  * debian/patches/lucid-release.diff: add Ubuntu Lucid to the list of
    buildable distros.

 -- Kees Cook <kees@ubuntu.com>  Tue, 16 Feb 2010 13:54:30 -0800

vm-builder (0.11.3-0ubuntu7) lucid; urgency=low

  * debian/python-vm-builder.py, debian/python-vm-builder.py,
    debian/ubuntu-vm-builder.install: Install apport hooks, apart
    of the server-lucid-apport-hooks specification. 


