=== debian/control ===
Source: vm-builder
Section: utils
Priority: optional
Maintainer: Soren Hansen <soren@ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 5.0.38),
               python-all (>= 2.3.5-11),
               python-central (>= 0.5.6),
               python-epydoc,
               quilt
Standards-Version: 3.8.3
XS-Python-Version: >= 2.5
XS-Upstream-Vcs-Bzr: http://code.launchpad.net/vmbuilder
Vcs-Bzr: http://code.launchpad.net/~vmbuilder-dev/vmbuilder/packaging

Package: python-vm-builder
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         qemu-kvm | qemu-kvm-extras,
         debootstrap (>= 1.0.9),
         parted,
         kpartx,
         ubuntu-keyring,
         python-cheetah,
         rsync
Recommends: python-libvirt,
            devscripts
XB-Python-Version: ${python:Versions}
Description: VM builder
 Script that automates the process of creating a ready to use Linux based VM.
 The currently supported hypervisors are:
 .
  * KVM
  * Xen
  * VMWare
 .
 The currently supported distros are:
 .
  * Ubuntu Dapper, Gutsy, Hardy, Intrepid, Jaunty, and Karmic.
 .
 You can pass command line options to add extra packages, remove packages,
 choose which version of Ubuntu, which mirror etc. On recent hardware
 with plenty of RAM, tmpdir in /dev/shm or using a tmpfs, and a local mirror,
 you can bootstrap a vm in less than a minute.

Package: ubuntu-vm-builder
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-vm-builder
XB-Python-Version: ${python:Versions}
Description: Ubuntu VM builder
 Script which automates the process of creating a ready to use VM based on
 Ubuntu. You can pass command line options to add extra packages, remove
 packages, choose which version of Ubuntu, which mirror to use etc.
 .
 On recent hardware with plenty of RAM, tmpdir in /dev/shm or using a tmpfs,
 and a local mirror, you can bootstrap a vm in less than a minute.

Package: python-vm-builder-ec2
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-vm-builder,
         ec2-ami-tools,
         python-boto
XB-Python-Version: ${python:Versions}
Description: EC2 Ubuntu VM builder
 Ubuntu vmbuilder module that automates the process of create a ready to use
 EC2 image (AMI) based on Ubuntu. You can pass command line options to add
 extra packages, remove packages, choose which version of Ubuntu, which
 mirror to use etc.
 .
 VMBuilder module to build, upload and register EC2 images. You will
 need to have an Amazon EC2 account in order to use this package.
