=== debian/watch ===
version=3
https://launchpad.net/vmbuilder/+download http://launchpad.net/vmbuilder/.*/VMBuilder-(.+).tar.gz
